# Method: monetization.subscriptions.batchGet

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.BatchGetSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchGet#try-it)

Reads one or more subscriptions.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the subscriptions should be retrieved. Must be equal to the packageName field on all the requests. |

### Query parameters

| Parameters ||
|---|---|
| `productIds[]` | `string` Required. A list of up to 100 subscription product IDs to retrieve. All the IDs must be different. |

### Request body

The request body must be empty.

### Response body

Response message for subscriptions.batchGet endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`) } ] } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`)`` The list of requested subscriptions, in the same order as the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`